Bug 604929 - Add --uuid option to virsh vol-pool command
Summary: Add --uuid option to virsh vol-pool command
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: 6.0
Assignee: Eric Blake
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-17 02:45 UTC by Justin Clift
Modified: 2010-11-11 14:50 UTC (History)
6 users (show)

Fixed In Version: libvirt-0_8_1-10_el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 14:50:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Justin Clift 2010-06-17 02:45:16 UTC
Description of problem:

The vol-pool command in virsh is only capable of returning a pool name, not a pool UUID.

It's not a killer, but it would be nice if vol-pool supported returning a pool UUID as well.

A patch has been submitted upstream that adds this support:

  http://www.redhat.com/archives/libvir-list/2010-June/msg00320.html


Version-Release number of selected component (if applicable):

libvirt-0.7.6-2.el6.x86_64.rpm

Comment 2 RHEL Product and Program Management 2010-06-17 03:12:55 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 Dave Allan 2010-06-24 01:34:11 UTC
libvirt-0_8_1-10_el6 has been built in RHEL-6-candidate with the fix.

Dave

Comment 5 dyuan 2010-06-29 03:31:21 UTC
Verified PASSED with libvirt-0.8.1-10.el6.

# virsh vol-pool --uuid /mnt/vol/foo.img
4fc1aefb-1b49-2c49-575e-1f025164c315

# virsh vol-pool  /mnt/vol/foo.img
test-fs

Comment 6 xhu 2010-09-08 05:34:39 UTC
Verified this bug with RHEL6 RC build and it passed:
libvirt-0.8.1-27.el6.x86_64
qemu-kvm-0.12.1.2-2.113.el6.x86_64
kernel-2.6.32-71.el6.x86_64

Comment 7 releng-rhel@redhat.com 2010-11-11 14:50:04 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.